Custom Admin User Language

Custom Admin User Language
* Admin language select * Session language switcher * User based language settings *

What does it do?

Default OpenCart installation allows only a single admin interface langue which means that all admin users have to use the same language.
Custom Admin User Language extension makes the admin panel multilingual by allowing you to set a separate admin interface language for each user.
Additionally you can choose the admin session language on the login page and you can also quickly change the admin session language via language switcher in the top right hand corner of every admin page.


Let admin users decide what language they prefer to use for administrating OpenCart stores.

Simple to use

User language preference can be changed from user settings page (System -> Users -> Users) and it is effective immediately. Admin session language can be quickly changed via language switcher in the top right hand corner.

The admin login page is displayed in the default admin language (set in the general store settings) with an override session language selection option. After a successful login the admin interface language is automatically switched to the user preferred language if the Default language option was selected in the login page else the selected session language is set.

Session language switcher will override user language preference for current session.

Features
  • Each admin user can choose their own preferred language (from installed languages)
  • Language selection on the login page
  • Quick session language switching
  • Seamless setup
  • No core files overwritten
  • Fully vQmod based


Live Demo
Admin
user: demo_english / password: demo - user with English language preference
user: demo_german / password: demo - user with German language preference
user: demo_russian / password: demo - user with Russian language preference

Requirements
- OpenCart 1.5.0 or later
- vQmod 2.3.0 or later (for Opencart 1.5.x)

OpenCart 2.0 Extension Installer & OCMOD compatible!

Problems & Questions
If you have issues with the extension please do not raise them in the comments section, instead contact on the support email address found in the included documentation.
For general questions about the extension, please leave a comment or use the 'Get Support ' button.

Latest version is 1.4.1

NB! Older OpenCart platform compatible versions may not include all the latest features. If in doubt, contact using the 'Get Support' button.




Buy
Price
$20.00

  • Developed by OpenCart Partner
  • 12 Months Free Support
  • Documentation Included

Rating

Compatibility
3.0.0.0, 3.0.1.1, 3.0.1.2, 3.0.2.0, 3.1.0.0_b, 3.0.3.0, 3.0.3.1, 3.0.3.2, 3.0.3.3, 3.0.3.5, 3.0.3.6, 1.5.4, 1.5.4.1, 1.5.5.1, 1.5.6, 1.5.6.1, 1.5.6.2, 1.5.6.3, 1.5.6.4, 2.0.0.0, 2.0.1.0, 2.0.1.1, 2.0.2.0, 2.0.3.1, 2.1.0.1, 2.1.0.2, 2.2.0.0, 2.3.0.0, 2.3.0.1, 2.3.0.2

Last Update
13 Oct 2020

Created
1 Nov 2013
149 Sales
20 Comments
bull5-i
bull5-i
Member since: 10 Jan 2011

View all extensions Get Support